Bug 244157 - [PATCH] emulators/mednafen: Fix joystick detection if devel/evdev-proto is installed
Summary: [PATCH] emulators/mednafen: Fix joystick detection if devel/evdev-proto is in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-16 08:11 UTC by Julien Nadeau
Modified: 2020-12-01 17:29 UTC (History)
5 users (show)

See Also:


Attachments
Patch for emulators/mednafen (1.18 KB, patch)
2020-02-16 08:11 UTC, Julien Nadeau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nadeau 2020-02-16 08:11:57 UTC
Created attachment 211686 [details]
Patch for emulators/mednafen

The presence of <linux/joystick.h> (from devel/evdev-proto) breaks mednafen's SDL joystick detection.  The included patch works around the problem.
Comment 1 Alex S 2020-03-20 02:19:15 UTC
Or you could try an evdev gamepad driver instead: https://github.com/wulf7/iichid/pull/26.
Comment 2 Li-Wen Hsu freebsd_committer 2020-06-16 23:24:15 UTC
Over to maintainer.
Comment 3 Patrick McMunn 2020-10-17 01:46:41 UTC
The maintainer hasn't responded yet. Can someone else take a look at this?
Comment 4 commit-hook freebsd_committer 2020-12-01 17:28:44 UTC
A commit references this bug:

Author: acm
Date: Tue Dec  1 17:27:48 UTC 2020
New revision: 556768
URL: https://svnweb.freebsd.org/changeset/ports/556768

Log:
  - Update to 1.26.1
  - Add patch for fix joystick detection if devel/evdev-proto is installed [1]

  PR:		244157 [1]
  Submitted by:	vedge at hypertriton.com

Changes:
  head/emulators/mednafen/Makefile
  head/emulators/mednafen/distinfo
  head/emulators/mednafen/files/patch-src-drivers_Joystick.cpp
Comment 5 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-01 17:29:19 UTC
- Committed in latest version of mednafen port. Thanks!!